Package org.apache.sling.scripting.sightly.compiler

## Interface CompilationResult

All Known Implementing Classes:
  `CompilationResultImpl`

    @ProviderType
    public interface CompilationResult

This class encapsulates the result of a compile operation performed by the `SightlyCompiler`.

### Method Summary

All Methods Instance Methods Abstract Methods
`CommandStream` `getCommandStream()` Provides access to the generated `CommandStream` for evaluating / replaying the `Command`s after the compile operation.
`List<CompilerMessage>` `getErrors()` Provides the list of errors recorded during the compilation.
`List<CompilerMessage>` `getWarnings()` Provides the list of warnings recorded during the compilation.

### Method Detail

#### getCommandStream

    CommandStream getCommandStream()

Provides access to the generated `CommandStream` for evaluating / replaying the `Command`s after the compile operation.

Returns:
  the command stream generated by the compiler

#### getWarnings

    List<CompilerMessage> getWarnings()

Provides the list of warnings recorded during the compilation.

Returns:
  the list of warnings; the list can be empty if no warnings have been emitted

#### getErrors

    List<CompilerMessage> getErrors()

Provides the list of errors recorded during the compilation.

Returns:
  the list of errors; the list can be empty if no errors have been encountered